Bug 589597 - Document that JDK5 is deprecated in JON 2.4, next release will require JDK6
Summary: Document that JDK5 is deprecated in JON 2.4, next release will require JDK6
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Documentation
Version: unspecified
Hardware: All
OS: Linux
high
high vote
Target Milestone: ---
: ---
Assignee: John Mazzitelli
QA Contact: Corey Welton
URL:
Whiteboard:
Depends On:
Blocks: jon24-docs
TreeView+ depends on / blocked
 
Reported: 2010-05-06 14:16 UTC by Charles Crouch
Modified: 2015-02-01 23:26 UTC (History)
2 users (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-12 16:57:30 UTC


Attachments (Terms of Use)
JDK section from the install guide (12.23 KB, application/vnd.oasis.opendocument.text)
2010-05-17 18:28 UTC, Deon Ballard
no flags Details

Description Charles Crouch 2010-05-06 14:16:27 UTC
We need to document the fact that we're deprecating JDK5 support in the upcoming release and that the following release will require JDK6 for both server and agent.

Comment 1 Deon Ballard 2010-05-17 18:28:08 UTC
Created attachment 414632 [details]
JDK section from the install guide

I added a very small indication that JDK 5 is deprecated:

http://elladeon.fedorapeople.org/jon-drafts/3.0/rel-notes/supported-platforms.html#java

The examples in the install guide point to JRE 1.6 and JDK 1.6:
http://elladeon.fedorapeople.org/jon-drafts/3.0/install/Prerequisites-Java.html

The tech review process is (hopefully) pretty easy:

1. Download the attached OpenOffice doc.

2. Make sure that Edit > Changes > Record is selected. (I should have this set to track changes, but make sure in case I forgot.)

3. Read through the file and mark any changes (correct anything that's wrong, add missing information, delete outdated stuff, etc.).

4. When you're done editing, upload the edited OO doc and re-assign to me (dlackey).   

The HTML links in the previous comment show what the real, official docs look like, if you prefer that version. I can also make a PDF.

Changing status to ON_DEV and assigning to Mazz for review.

Comment 2 John Mazzitelli 2010-05-26 22:05:28 UTC
this looks OK. regarding the question about JRE vs JDK - the agent only needs the JRE (the runtime environment). There is no need for the full developer's kit to be installed on the agent machine.

Comment 3 Corey Welton 2010-05-27 20:06:06 UTC
QA verified.

Comment 4 Corey Welton 2010-08-12 16:57:30 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.